create table resource_bundle_entries
( locale varchar2(2)
, resource_key varchar2(100)
, resource_value varchar2(100)
, context1 varchar2(100)
)

create or replace 
package nls_resource_manager
is

function get_resource_bundle_entries
( p_locale in varchar2
, p_context1 in varchar2
) return sys_refcursor
;

end nls_resource_manager;


create or replace 
package body nls_resource_manager
is

function get_resource_bundle_entries
( p_locale in varchar2
, p_context1 in varchar2
) return sys_refcursor
is
  l_rc sys_refcursor;
begin
  open l_rc for 
    select resource_key
    ,      resource_value
    from   resource_bundle_entries
    where  locale= p_locale
    and   ( (p_context1 is null and context1 is null) 
          or
            p_context1 = context1
          )
    ;
    return l_rc;    
end get_resource_bundle_entries;

end nls_resource_manager;